cmdparamoption.hh File Reference
`#include <mia/core/cmdoption.hh>`
`#include <mia/core/typedescr.hh>`
`#include <mia/core/paramoption.hh>`
`#include <mia/core/handlerbase.hh>`
Include dependency graph for cmdparamoption.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | TCmdOption< T >
| Templated version based on CCmdOptionValue for values that can be converted to and from strings by stream operators. More...
class | TRepeatableCmdOption< T >
| Templated version based on CCmdOptionValue for values that can be converted to and from strings by stream operators. More...

## Functions

template<typename T>
PCmdOption | make_opt (std::vector< T > &value, const char *long_opt, char short_opt, const char *help, CCmdOptionFlags flags=CCmdOptionFlags::none)
| Create an option to set a vector of values,.
template<typename T>
PCmdOption | make_repeatable_opt (std::vector< T > &value, const char *long_opt, char short_opt, const char *help, CCmdOptionFlags flags=CCmdOptionFlags::none)
| Create a repeatable option to set a vector of values.